Delete Workspace
curl --request DELETE \
--url https://api.honcho.dev/v3/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workspaces
Delete Workspace
Delete a Workspace. This accepts the deletion request and processes it in the background, permanently deleting all peers, messages, conclusions, and other resources associated with the workspace.
Returns 409 Conflict if the workspace contains active sessions. Delete all sessions first, then delete the workspace.
This action cannot be undone.
DELETE
/
v3
/
workspaces
/
{workspace_id}
Delete Workspace
Was this page helpful?
⌘I